
#
#  Created with Bub-n-Bros online Level Editor
#    http://bilious.homelinux.org/~paxed/bnbedit/
#
#  Author:  
#  Setname: MulliVelledV01
#  Date:    2008.02.26, 15:46:14
#

import boarddef, mnstrmap, random
from boarddef import LNasty, LMonky, LGhosty, LFlappy
from boarddef import LSpringy, LOrcy, LGramy, LBlitzy
from boarddef import RNasty, RMonky, RGhosty, RFlappy
from boarddef import RSpringy, ROrcy, RGramy, RBlitzy


class level1(boarddef.Level):
    e = RNasty
    f = LNasty
    o = RBlitzy
    p = LBlitzy
    walls = """
###########################################################
##           ####            #            ####           ##
##   e e e e ####f f f f     #    e e e e ####f f f f    ##
##           ####            #            ####           ##
##   ##e e e ####f f f ##    #    ##e e e ####f f f ##   ##
##    ##################     #     ##################    ##
##           ####            #            ####           ##
##           ####            #            ####           ##
###          ####         #  #  #         ####          ###
##     e   e ####p   f       #      e   o ####f   f      ##
##     ##    ####    ##      #      ##    ####    ##     ##
##           ####            #            ####           ##
##           ####            #            ####           ##
##         e ####f           #          e ####f          ##
####         ####        #   #   #        ####         ####
##           ####            #            ####           ##
##           ####            #            ####           ##
##         e ####f           #          e ####f          ##
##     ##    ####    #       #       #    ####    ##     ##
##           ####            #            ####           ##
##           ####            #            ####           ##
####       e ####f       #########      e ####f        ####
##           ####                         ####           ##
##           ####                         ####           ##
##           ####                         ####           ##
##      ## e ####f  ##               ## e ####f  ##      ##
##    ##################           ##################    ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##     ###          ###             ###          ###     ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##   ###              ###         ###              ###   ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
#####                   ###     ###                   #####
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
###########################################################
"""
    winds = """
>>xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx<<
>>xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
"""


class level2(boarddef.Level):
    e = RNasty
    f = LNasty
    d = LOrcy
    c = ROrcy
    top = 1
    walls = """
##                                                       ##
##                                                       ##
##                                                       ##
##                                          e            ##
##                         ##                            ##
##                                                       ##
##         f                                             ##
##                                                       ##
##                                    #d c #             ##
##       ##                          ########            ##
##                              f                        ##
##                                                       ##
##                    e                                  ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                            f          ##
##                                                       ##
##                         ##                            ##
##                                                       ##
##     f                                                 ##
##                                                ##     ##
##   ##                                                  ##
##                                       ##              ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##            #d c #                                     ##
##           ########                  ##                ##
##                                                       ##
##     e                                                 ##
##                                                       ##
##                    f                                  ##
##               ##                                      ##
##                                                       ##
##                                                       ##
##                               e           e           ##
##                         ##                            ##
##                                                       ##
##   ##       ##                                         ##
##                                             ##        ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
"""
    winds = """
>>                                                       <<
>>                                                       <<
>>                                                       <<
>>                                                       <<
>>                                                       <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
>>      ^                                                <<
"""
class level3(boarddef.Level):
    h = LMonky
    f = LNasty
    e = RNasty
    walls = """
################     ######################################
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##               h                                       ##
##                  e                                    ##
##                                                       ##
##                  f        #                           ##
##               f           #                           ##
##h             e        h   #                           ##
#########    ##############################################
##      #                                                ##
##                                                       ##
##                                                       ##
#####    #  e     h   e                                  ##
##       ###################                             ##
##                                                       ##
##           f      f       f  #     ######################
#####        ###################                         ##
##                                                       ##
##        #  e  h  e     e                               ##
##        ###################                            ##
#####                             #########################
##                              #                        ##
#####    #  e     h   e   h                              ##
##       ###################                             ##
##                                                       ##
##           f      f       f  #     ######################
#####        ###################                         ##
##                                                       ##
##        #  e  h  e     e                               ##
##        ###################                            ##
#####                             #########################
##                           h  #                        ##
##               f     ##########                        ##
##                                                       ##
##        #  e  h  e     e                               ##
##        ###################                            ##
#####                             #########################
##                           h  #                        ##
##               f     ##########                        ##
#####                                                  ####
##                                                       ##
##                                                       ##
##           e   f               e                       ##
################      #####################################
"""

    winds = """
>>xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx<<
>>xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
"""

class level4(boarddef.Level):
    f = LNasty
    e = RNasty
    walls = """
###########################################################
##                          ###                          ##
##                          ###                          ##
##                          ###                          ##
##                          ###                          ##
##                          ###                          ##
####   ####                 ###                 ####   ####
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##                 ###                 ##       ##
##       ##e             f  ### e             f ##       ##
##       ##                 ###                 ##       ##
##       ##e e e  ###f f f  ### e e e ### f f f ##       ##
###########################################################
"""
    winds = """
>>vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv<<
>>>>>>>>>>>>xxx<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>xxx<<<<<<<<<<<
>>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<                                     >>>^<>>^<<<
>>>^<<>^<<<vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv>>>^<>>^<<<
>>>^<<>^<<<vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv>>>^<>>^<<<
>>>^<<>^<<<vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv>>>^<>>^<<<
>>>^<<>^<<<vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv>>>^<>>^<<<
>>>^<<>^<<<vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv>>>^<>>^<<<
>>>^<<>^<<<vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv>>>^<>>^<<<
>>>^<<>^<<<vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv>>>^<>>^<<<
>>>^<<>^<<<vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv>>>^<>>^<<<
>>>^<<>^<<<vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv>>>^<>>^<<<
"""

class level5(boarddef.Level):
    e = RNasty
    walls = """
###########################################################
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##   #e e #      #e e #         #e e #      #e e #       ##
##   ######      ######         ######      ######       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
###########################################################
"""
    winds = """
>>^<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^>^
>>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^
>>>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>>^
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^>^
>>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^
>>>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>>^
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^>^
>>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^
>>>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>>^
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^>^
>>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^
>>>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>>^
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^>^
>>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^
>>>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>>^
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^>^
>>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^
>>>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>>^
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^>^
>>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^
>>>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>>^
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^>^
>>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^
>>>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>>^
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^>^
>>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^
>>>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>>^
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^>^
>>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^
>>>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>>^
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^>^
>>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^
>>>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>>^
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^>^
>>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^
>>>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>>^
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^>^
>>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^
>>>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>>^
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^>^
>>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^
>>>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>>^
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^>^
>>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^
>>>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>>^
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^>^
"""

class level6(boarddef.Level):
    o = RBlitzy
    p = LBlitzy
    walls = """
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
###########################################################
###########################################################
###########################################################
###########################################################
###########################################################
###########################################################
##                         #####                         ##
##                         #####                         ##
##                         #####                         ##
##                         #####                         ##
##                         #####                         ##
##                         #####                         ##
##                         #####                         ##
##  #####################  #####  #####################  ##
##                         #####                         ##
##                         #####                         ##
##o o o o o o o o o o o ###########p p p p p p p p p p p ##
###########################################################
###########################################################
###########################################################
###########################################################
###########################################################
###########################################################
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
##                                                       ##
######  ###################     ###################  ######
"""
    winds = """
>>vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv<<
>>vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv<<
>>xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx<<
>>xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx<<
>>xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^<<
>>vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv<<
>>vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv<<
>>vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv<<
>>vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv<<
>>vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv<<
>>vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv<<
>>vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv<<
>>vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv<<
>>vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv<<
>>vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv<<
>>vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv<<
"""



